
import UIKit
import CoreMotion

class ViewController: UIViewController {
    var manager: CMMotionManager!
    var square: UIView!
    
    override func viewDidLoad() {
        super.viewDidLoad()
        view.setNeedsLayout()
        view.layoutIfNeeded()
        
        let width = view.frame.size.width
        let height = view.frame.size.height
        square = UIView(frame: CGRect(x: 0, y: 0, width: 100, height: 100))
        square.center = CGPoint(x: width / 2, y: height / 2)
        square.backgroundColor = UIColor.red
        view.addSubview(square)
        
        manager = CMMotionManager()
        if manager.isDeviceMotionAvailable {
            manager.deviceMotionUpdateInterval = 1.0 / 60.0
            let queue = OperationQueue.main
            manager.startDeviceMotionUpdates(to: queue, withHandler: { (data, error) in
                if let values = data {
                    let radians = atan(values.attitude.pitch / values.attitude.roll)
                    var matrix = CATransform3DIdentity
                    matrix = CATransform3DRotate(matrix, CGFloat(radians), 0, 0, 1)
                    self.square.layer.transform = matrix
                }
            })
        }
    }
}
